Я пытаюсь установить тензор потока в vscode (Windows 10), но получаю эту ошибку ModuleNotFoundError: No module named 'tensorflow'. Я попытался настроить новую среду conda, использовал Python 3.5, а также настроил параметр «Путь», но безрезультатно. Несмотря на то, что TensorFlow успешно установлен в моей системе, всякий раз, когда я пытаюсь импортировать, он не работает ... Раньше я без проблем использовал Ubuntu, но получить его на win10_Lite очень расстраивало. Любая помощь приветствуется ...

Это мой тестовый код: -

import tensorflow as tf
print (tf.__version__)
print ('Hello world')

РЕДАКТИРОВАТЬ: - Я запустил этот код через терминал анаконды (после активации среды) и получил это новое «подробное» сообщение {Моя среда 'TF-gpu'}

Traceback (most recent call last):
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in swig_import_helper
    return importlib.import_module(mname)
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 985, in _gcd_import
  File "<frozen importlib._bootstrap>", line 968, in _find_and_load
  File "<frozen importlib._bootstrap>", line 957, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 666, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 577, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 938, in create_module
  File "<frozen importlib._bootstrap>", line 222, in _call_with_frames_removed
ImportError: DLL load failed: The specified module could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 41, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in swig_import_helper
    return importlib.import_module('_pywrap_tensorflow_internal')
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ImportError: No module named '_pywrap_tensorflow_internal'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "test.py", line 1, in <module>
    import tensorflow as tf
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\site-packages\tensorflow\__init__.py", line 24, in <module>
    from tensorflow.python import *
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\site-packages\tensorflow\python\__init__.py", line 49, in <module>
    from tensorflow.python import pywrap_tensorflow
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 52, in <module>
    raise ImportError(msg)
ImportError: Traceback (most recent call last):
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in swig_import_helper
    return importlib.import_module(mname)
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 985, in _gcd_import
  File "<frozen importlib._bootstrap>", line 968, in _find_and_load
  File "<frozen importlib._bootstrap>", line 957, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 666, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 577, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 938, in create_module
  File "<frozen importlib._bootstrap>", line 222, in _call_with_frames_removed
ImportError: DLL load failed: The specified module could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 41, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in swig_import_helper
    return importlib.import_module('_pywrap_tensorflow_internal')
  File "C:\Users\neelg\.conda\envs\TF-gpu\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ImportError: No module named '_pywrap_tensorflow_internal'


Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/install_sources#common_installation_problems

for some common reasons and solutions.  Include the entire stack trace
above this error message when asking for help.

Результат при выполнении определенных команд ===>

список conda: -

    # packages in environment at C:\Users\neelg\.conda\envs\TF-gpu:
#
# Name                    Version                   Build  Channel
_tflow_select             2.1.0                       gpu
absl-py                   0.8.1                    pypi_0    pypi
astor                     0.8.0                    pypi_0    pypi
backports-weakref         1.0rc1                   pypi_0    pypi
blas                      1.0                         mkl
bleach                    1.5.0                    pypi_0    pypi
certifi                   2018.8.24                py35_1
cudatoolkit               9.0                           1
cudnn                     7.6.0                 cuda9.0_0
gast                      0.3.2                      py_0
grpcio                    1.24.3                   pypi_0    pypi
h5py                      2.10.0                   pypi_0    pypi
hdf5                      1.10.2               hac2f561_1
html5lib                  0.9999999                pypi_0    pypi
icc_rt                    2019.0.0             h0cc432a_1
intel-openmp              2019.4                      245
keras                     2.0.5                    pypi_0    pypi
keras-applications        1.0.4                    py35_1
keras-base                2.2.2                    py35_0
keras-preprocessing       1.0.2                    py35_1
libmklml                  2019.0.5                      0
libprotobuf               3.6.0                h1a1b453_0
markdown                  2.2.0                    pypi_0    pypi
mkl                       2018.0.3                      1
numpy                     1.17.3                   pypi_0    pypi
pip                       10.0.1                   py35_0
protobuf                  3.10.0                   pypi_0    pypi
python                    3.5.6                he025d50_0
pyyaml                    5.1.2                    pypi_0    pypi
scipy                     1.3.1                    pypi_0    pypi
setuptools                40.2.0                   py35_0
six                       1.12.0                   pypi_0    pypi
tensorboard               1.8.0                    pypi_0    pypi
tensorflow                1.8.0                    pypi_0    pypi
tensorflow-base           1.10.0          gpu_py35h6e53903_0
tensorflow-gpu            1.2.0                    pypi_0    pypi
termcolor                 1.1.0                    pypi_0    pypi
theano                    1.0.4                    pypi_0    pypi
vc                        14.1                 h0510ff6_4
vs2015_runtime            14.16.27012          hf0eaf9b_0
werkzeug                  0.16.0                     py_0
wheel                     0.31.1                   py35_0
wincertstore              0.2              py35hfebbdb8_0
yaml                      0.1.7                hc54c509_2
zlib                      1.2.11               h62dcd97_3

список пипсов -

    Package             Version
------------------- ---------
absl-py             0.8.1
astor               0.8.0
backports.weakref   1.0rc1
bleach              1.5.0
certifi             2018.8.24
gast                0.3.2
grpcio              1.24.3
h5py                2.10.0
html5lib            0.9999999
Keras               2.2.2
Keras-Applications  1.0.6
Keras-Preprocessing 1.0.5
Markdown            2.6.11
numpy               1.17.3
pip                 10.0.1
protobuf            3.10.0
PyYAML              5.1.2
scipy               1.3.1
setuptools          40.2.0
six                 1.12.0
tensorboard         1.10.0
tensorflow          1.10.0
tensorflow-gpu      1.2.0
termcolor           1.1.0
Theano              1.0.4
Werkzeug            0.16.0
wheel               0.31.1
wincertstore        0.2
1
neel g 27 Окт 2019 в 21:47

2 ответа

Лучший ответ

Проблема была решена мной (через целую неделю). Решением было понизить Python с 3.5.6 до 3.5.4. Непонятно, почему такая небольшая разница вызвала такие проблемы! :) Надеюсь, это поможет кому-то еще ....

0
neel g 3 Ноя 2019 в 17:44

Пожалуйста, следуйте нижеприведенным шагам, чтобы создать среду conda и установить тензор потока.

conda create -n env_tf -c intel python=3.5
source activate env_tf
pip install intel-tensorflow==<version>

Это сработало для меня. Надеюсь, это поможет

2
Lakshmi - Intel 28 Окт 2019 в 06:27